lmdb::error Class Reference

Base class for LMDB exception conditions. More...

`#include <lmdb++.h>`

Inheritance diagram for lmdb::error:

## Public Member Functions

| error (const char *const origin, const int rc) noexcept
| Constructor. More...
int | code () const noexcept
| Returns the underlying LMDB error code. More...
const char * | origin () const noexcept
| Returns the origin of the LMDB error. More...
virtual const char * | what () const noexcept
| Returns the underlying LMDB error code. More...

## Static Public Member Functions

static void | raise (const char *origin, int rc)
| Throws an error based on the given LMDB return code. More...

## Protected Attributes

const int | _code

## Detailed Description

Base class for LMDB exception conditions.

See also
  http://symas.com/mdb/doc/group__errors.html

## Constructor & Destructor Documentation

## error()

lmdb::error::error | ( | const char *const | origin,
|  | const int | rc
| ) |  |

inline noexcept

Constructor.

## Member Function Documentation

## code()

int lmdb::error::code | ( |  | ) | const

inline noexcept

Returns the underlying LMDB error code.

## origin()

const char* lmdb::error::origin | ( |  | ) | const

inline noexcept

Returns the origin of the LMDB error.

## raise()

void lmdb::error::raise | ( | const char * | origin,
|  | int | rc
| ) |  |

inline static

Throws an error based on the given LMDB return code.

## what()

virtual const char* lmdb::error::what | ( |  | ) | const

inline virtual noexcept

Returns the underlying LMDB error code.

## Member Data Documentation

## _code

const int lmdb::error::_code

protected

The documentation for this class was generated from the following file:

- lmdb++.h